Summary: A program for performing checks against RBL-style blacklists.
Name: rblcheck-devel
Version: 990221
Release: 1.rh%{rh_release}
Copyright: GPL
Group: Applications/Internet
Source: http://www.xnet.com/~emarshal/rblcheck/rblcheck-%{version}.tar.gz 
Patch: rblcheck-sites.patch
Patch1: rblcheck-fixtxtbug.patch
Prefix: /usr
BuildRoot: /tmp/%{name}-%{version}-%{release}-root
URL: http://www.xnet.com/~emarshal/rblcheck/
Obsoletes: rblcheck
Provides: rblcheck

%description
Rblcheck is a lightweight C program for performing checks against
RBL-style IP address blacklists. It works well in conjunction with
Procmail for filtering unwanted bulk email. 

This package contains a development version of rblcheck. Use at your
own risk! See README.ALPHA for more information.

This package also includes several tools that try to extract an 
originating IP address from e-mail header. See /usr/bin/origip-*
and the documentation.

%prep
%setup -n rblcheck-%{version}
%patch
%patch1

%build
%configure
make 
make -C utils/qmail

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -s -m 755 rblcheck $RPM_BUILD_ROOT/usr/bin
install -m 755 utils/qmail/origip.awk $RPM_BUILD_ROOT/usr/bin/origip-qmail.awk
install -s -m 755 utils/qmail/origip $RPM_BUILD_ROOT/usr/bin/origip-qmail
install -m 755 utils/sendmail/origip.pl $RPM_BUILD_ROOT/usr/bin/origip-sendmail.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README* docs/* utils/test*.sh AUTHORS INSTALL NEWS ChangeLog sites.h
/usr/bin/rblcheck
/usr/bin/origip-*

%changelog
* Fri Jan 14 2000 Alexey Nogin <ayn2@cornell.edu>
[rblcheck-devel-990221-1]
- Created an rblcheck-devel RPM with the Alpha version of rblcheck.
- Edited the sites.h to include ORBS, MAPS RSS and MAPS RBL.
- Fixed the problem with -t not working when the IP is not in the
  first RBL.

* Thu Jan 13 2000 Alexey Nogin <ayn2@cornell.edu>
[rblcheck-1.4-2]
- Added some utilities to the package
[rblcheck-1.4-1]
- Created the source RPM from scratch
- Added a patch that updates the ORBS RBL location
